de.dhbwstuttgart.syntaxtree.operator

## Class MulOp

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.operator.Operator
    - - de.dhbwstuttgart.syntaxtree.operator.MulOp

All Implemented Interfaces:
  IItemWithOffset

Direct Known Subclasses:
  DivideOp, ModuloOp, TimesOp

    public abstract class MulOp
    extends Operator

### Field Summary

### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`parent`

### Constructor Summary

Constructors
Constructor and Description
`MulOp(int offset, int variableLength)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.util.Hashtable<RefType,RefType>` `getOperatorTypes()`
`java.util.HashMap<ConstraintType,ConstraintType>` `getReturnTypes(TypeAssumptions ass)` Liefert eine HashMap der Form: HashMap<ResultType, InputType>

### Methods inherited from class de.dhbwstuttgart.syntaxtree.operator.Operator

`getChildren, getOffset, getVariableLength`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`addTypeInsertPoints, equals, getDescription, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MulOp

    public MulOp(int offset,
                 int variableLength)

### Method Detail

#### getOperatorTypes

    protected java.util.Hashtable<RefType,RefType> getOperatorTypes()

Specified by:
  `getOperatorTypes` in class `Operator`
See Also:
  `Pattern: Template Method`

#### getReturnTypes

    public java.util.HashMap<ConstraintType,ConstraintType> getReturnTypes(TypeAssumptions ass)

Description copied from class: `Operator`
Liefert eine HashMap der Form: HashMap<ResultType, InputType>

Specified by:
  `getReturnTypes` in class `Operator`
Returns: